Workspace status
curl --request GET \
--url https://www.dench.com/api/v1/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "org_abc123",
"name": "Acme",
"slug": "acme"
},
"agent": {
"id": "ag_xyz789",
"name": "Cursor",
"kind": "cursor"
},
"rules": [],
"activeAgents": [
{
"id": "ag_xyz789",
"name": "Cursor",
"kind": "cursor",
"lastSeenAt": 1765526400000
}
],
"pendingApprovals": [],
"recentArtifacts": [],
"suggestedWork": [],
"memory": [],
"chatAgents": {
"nextCommands": [
"dench agent new \"Find useful work\" --follow --json"
],
"activeRuns": [],
"templates": []
},
"tools": {
"discovery": [
"dench_list_apps",
"dench_search_tools"
],
"cli": [
"dench apps --json"
],
"approvalPolicy": "Read-only tools can run by default."
},
"nextActions": [
"Ask for a goal or start a chat agent"
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}workspace
Workspace status
Return workspace and agent status.
GET
/
status
Workspace status
curl --request GET \
--url https://www.dench.com/api/v1/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "org_abc123",
"name": "Acme",
"slug": "acme"
},
"agent": {
"id": "ag_xyz789",
"name": "Cursor",
"kind": "cursor"
},
"rules": [],
"activeAgents": [
{
"id": "ag_xyz789",
"name": "Cursor",
"kind": "cursor",
"lastSeenAt": 1765526400000
}
],
"pendingApprovals": [],
"recentArtifacts": [],
"suggestedWork": [],
"memory": [],
"chatAgents": {
"nextCommands": [
"dench agent new \"Find useful work\" --follow --json"
],
"activeRuns": [],
"templates": []
},
"tools": {
"discovery": [
"dench_list_apps",
"dench_search_tools"
],
"cli": [
"dench apps --json"
],
"approvalPolicy": "Read-only tools can run by default."
},
"nextActions": [
"Ask for a goal or start a chat agent"
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Response
Successful response
Workspace orientation payload shared by /context, /status, /agents, and /approvals.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes